SDL_GetGamepadMappings(3)

NAME
SDL_GetGamepadMappings - Get the current gamepad mappings.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

char ** SDL_GetGamepadMappings(int *count);

FUNCTION PARAMETERS

count
    a pointer filled in with the number of mappings returned, can be NULL.

RETURN VALUE
(char ) Returns an array of the mapping strings, NULL-terminated, or NULL on failure; call SDL_GetError () for more information. This is a single allocation that should be freed with SDL_free () when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.